## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSoundWrapper Class Reference

Document me and possible move me to some sound manager! @@. More...

`#include <cstool/sndwrap.h>`

Inheritance diagram for csSoundWrapper:

[legend]
List of all members.

## Public Member Functions

virtual iSoundHandle * | GetSound ()
| Return the sound handle.
virtual iObject * | QueryObject ()
| Return the iObject for this sound wrapper.

## Protected Attributes

csRef< iSoundHandle > | SoundHandle

## Detailed Description

Document me and possible move me to some sound manager! @@.

Deprecated:

Definition at line 34 of file sndwrap.h.

## Member Function Documentation

virtual iSoundHandle* csSoundWrapper::GetSound | ( |  | ) | `[virtual]`

| Return the sound handle. Implements iSoundWrapper.

virtual iObject* csSoundWrapper::QueryObject | ( |  | ) | `[virtual]`

| Return the iObject for this sound wrapper. Implements iSoundWrapper.

The documentation for this class was generated from the following file:

- cstool/sndwrap.h